unit Ucad_cheques;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Mask, DBCtrls, DB, Buttons;

type
  TF_cadcheques = class(TForm)
    DataSource1: TDataSource;
    Label2: TLabel;
    DBEdit2: TDBEdit;
    Label3: TLabel;
    DBEdit3: TDBEdit;
    Label4: TLabel;
    DBEdit4: TDBEdit;
    Label5: TLabel;
    DBEdit5: TDBEdit;
    Label6: TLabel;
    DBEdit6: TDBEdit;
    Label7: TLabel;
    DBEdit7: TDBEdit;
    Label8: TLabel;
    DBEdit8: TDBEdit;
    Label9: TLabel;
    DBEdit9: TDBEdit;
    Label10: TLabel;
    DBEdit10: TDBEdit;
    Label11: TLabel;
    DBEdit11: TDBEdit;
    Label12: TLabel;
    DBEdit12: TDBEdit;
    Bevel1: TBevel;
    Bevel2: TBevel;
    Panel1: TPanel;
    BTSair: TSpeedButton;
    BTGravar: TSpeedButton;
    BTNovo: TSpeedButton;
    BTExcluir: TSpeedButton;
    BTProximo: TSpeedButton;
    BTAnterior: TSpeedButton;
    BTAbrir: TSpeedButton;
    BTFechar: TSpeedButton;
    procedure Sair(Sender: TObject);
    procedure Novo(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Excluir(Sender: TObject);
    procedure Gravar(Sender: TObject);
    procedure Abrir(Sender: TObject);
    procedure Anterior(Sender: TObject);
    procedure Proximo(Sender: TObject);
    procedure Cancelar(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  F_cadcheques: TF_cadcheques;

implementation

uses U_DM;

{$R *.dfm}

procedure TF_cadcheques.Abrir(Sender: TObject);
begin

 DM.Cad_cheques.Edit;

end;

procedure TF_cadcheques.Anterior(Sender: TObject);
begin

 DM.Cad_cheques.prior;

end;

procedure TF_cadcheques.Cancelar(Sender: TObject);
begin

 dm.Cad_cheques.Cancel;

end;

procedure TF_cadcheques.Gravar(Sender: TObject);
begin
if dm.Cad_cheques.State in [dsInsert] then
  begin
 if Application.MessageBox('Deseja realmente Gravar este registro?','Gravar registro.',MB_YESNO+MB_ICONQUESTION)= mryes then
 dm.Cad_cheques.Post;
 end else begin
 Application.MessageBox('Voc deve comear um registro antes de salvar','Erro ao salvar',MB_ICONWARNING);
 end;
end;

procedure TF_cadcheques.Novo(Sender: TObject);
begin

 with DM.Cad_cheques do
 begin
  insert;
  DM.Cad_chequesSituacao.Value := 'Em posse';
  Fields[1].Value:=date;
 end;

end;

procedure TF_cadcheques.Proximo(Sender: TObject);
begin

 DM.Cad_cheques.Next;

end;

procedure TF_cadcheques.Sair(Sender: TObject);
begin

 if Application.MessageBox('Deseja realmente Sair?','Sair.',MB_YESNO+MB_ICONQUESTION)= mryes then
 if DM.Cad_cheques.State in [dsInsert,dsEdit] then
 begin
 Application.MessageBox('Voc deve salvar ou cancelar primeiro.','Alerta',MB_ICONINFORMATION)
 end
 else  begin Close; end;

end;

procedure TF_cadcheques.Excluir(Sender: TObject);
begin

 if Application.MessageBox('Deseja realmente Apagar este registro?','Apagar registro.',MB_YESNO+MB_ICONQUESTION)= mryes then
 dm.Cad_cheques.Delete;

end;

procedure TF_cadcheques.FormShow(Sender: TObject);
begin
  with dm.Cad_cheques do
  begin
    close;
    sql.Clear;
    sql.Add('select * from cheques');
    open;
  end;

end;

end.
